Adds a new purchase order line
curl --request POST \
--url https://api.bold-factory.com/v1/planning/purchaseOrders/{orderReference}/lines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skuReference": "<string>",
"quantity": 123,
"totalPrice": {
"amount": 123,
"currency": "EUR"
},
"notes": "<string>",
"lineNumber": 123,
"externalReference": "<string>",
"expectedAt": "2023-11-07T05:31:56Z",
"confirmed": true,
"quantityUnitOfMeasureId": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/planning/purchaseOrders/{orderReference}/lines"
payload = {
"skuReference": "<string>",
"quantity": 123,
"totalPrice": {
"amount": 123,
"currency": "EUR"
},
"notes": "<string>",
"lineNumber": 123,
"externalReference": "<string>",
"expectedAt": "2023-11-07T05:31:56Z",
"confirmed": True,
"quantityUnitOfMeasureId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
skuReference: '<string>',
quantity: 123,
totalPrice: {amount: 123, currency: 'EUR'},
notes: '<string>',
lineNumber: 123,
externalReference: '<string>',
expectedAt: '2023-11-07T05:31:56Z',
confirmed: true,
quantityUnitOfMeasureId: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/planning/purchaseOrders/{orderReference}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"orderId": "<string>",
"number": 123,
"code": "<string>",
"order": {
"id": "<string>",
"externalReference": "<string>",
"supplierId": "<string>",
"supplier": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"taxIdentificationNumber": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"code": "<string>",
"name": "<string>",
"notes": "<string>",
"codeForSupplier": "<string>",
"expectedAt": "2023-11-07T05:31:56Z",
"status": "Cancelled",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"stock": 123,
"incomingStock": 123,
"outgoingStock": 123,
"currentAvailableStock": 123,
"projectedAvailableStock": 123,
"supplyPolicy": {
"safetyStock": 123,
"reorderPoint": 123,
"minimumAmount": 123,
"amountMultiple": 123,
"fulfillmentMode": "ToOrder",
"procurementType": "Make",
"procurementLeadTimeBusinessDays": 123
},
"demand": {
"results": [
{
"id": "<string>",
"code": "<string>",
"priority": 123,
"nature": "ProductionForecast",
"quantity": 123,
"allocationMode": "HardPegged",
"availableQuantity": 123,
"plannedQuantity": 123,
"neededAt": "2023-11-07T05:31:56Z",
"expectedAt": "2023-11-07T05:31:56Z",
"expectedDateConfidence": "Low",
"status": "Pending"
}
],
"totalCount": 123
},
"supply": {
"results": [
{
"id": "<string>",
"nature": "ProductionForecast",
"code": "<string>",
"quantity": 123,
"expectedAt": "2023-11-07T05:31:56Z",
"expectedDateConfidence": "Low"
}
],
"totalCount": 123
},
"baseUnitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"displayDecimalPlaces": 123
}
},
"quantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"notes": "<string>",
"pendingQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"receivedQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"cancelledQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"totalPrice": {
"amount": 123,
"currency": "<string>"
},
"status": "Cancelled",
"expectedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"enteredQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
}
}{
"type": "https://api.bold-factory.com/errors/COMMON.QUERY.FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/families/search",
"code": "COMMON.QUERY.FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/PLANNING.PURCHASE_ORDER.CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "PLANNING.PURCHASE_ORDER.CANNOT_MODIFY_CANCELLED_LINE"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Purchase Orders
Adds a new purchase order line
Requires Planning.PurchaseOrders.Write permissions
POST
/
v1
/
planning
/
purchaseOrders
/
{orderReference}
/
lines
Adds a new purchase order line
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Cuerpo
application/json
Respuesta
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Cancelled, Draft, Pending, PartiallyReceived, Received Show child attributes
Show child attributes